package com.ssm.manage.dao.impl;

import com.ssm.core.impl.BaseDaoImpl;
import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.dao.SsmRechargeAccountGiveDao;
import com.ssm.manage.entity.RechargeAccountGive;
import com.ssm.manage.mapper.RechargeAccountGiveMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;


@Component
public class SsmRechargeAccountGiveDaoImpl extends BaseDaoImpl<RechargeAccountGive> implements SsmRechargeAccountGiveDao {
    @Autowired
    private RechargeAccountGiveMapper mapper;

    @Override
    protected BaseMapper<RechargeAccountGive> getMapper() {
        return mapper;
    }

    @Override
    public List<RechargeAccountGive> getDocNum(RechargeAccountGive rechargeAccountGive) {
        return mapper.getDocNum(rechargeAccountGive);
    }

    @Override
    public void updateByGifMoney(RechargeAccountGive accountGive) {
        mapper.updateByGifMoney(accountGive);
    }
}
